aboutsummaryrefslogtreecommitdiff
path: root/net/phpldapadmin
diff options
context:
space:
mode:
authorSam Lawrance <lawrance@FreeBSD.org>2005-12-11 23:53:10 +0000
committerSam Lawrance <lawrance@FreeBSD.org>2005-12-11 23:53:10 +0000
commit8caecf6b9b2b79a2af794dd754a4fc710a9ceae3 (patch)
tree6c7400071e9d31fe9a5d43fe61a74c365081c07b /net/phpldapadmin
parent4992047d947fd9bb8fd29da2fb45a6a0b258c990 (diff)
Notes
Diffstat (limited to 'net/phpldapadmin')
-rw-r--r--net/phpldapadmin/pkg-deinstall-suphp26
-rw-r--r--net/phpldapadmin/pkg-install-suphp98
-rw-r--r--net/phpldapadmin/pkg-message12
3 files changed, 0 insertions, 136 deletions
diff --git a/net/phpldapadmin/pkg-deinstall-suphp b/net/phpldapadmin/pkg-deinstall-suphp
deleted file mode 100644
index 3e29ddb5febb..000000000000
--- a/net/phpldapadmin/pkg-deinstall-suphp
+++ /dev/null
@@ -1,26 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-
-case $2 in
- POST-DEINSTALL)
- cat <<EOMSG
-The phpldapadmin-suphp port has been deleted.
-If you are not upgrading and don't intend to use
-phpLDAPadmin any more then you may wish to delete
-the %%PLAUSR%% account, which can be done with
-the following command:
-
- # pw userdel %%PLAUSR%%
-EOMSG
- if [ -d %%PREFIX%%/%%PLADIR%% ] ; then
- echo " # rm -rf %%PREFIX%%/%%PLADIR%%/"
- fi
- echo
- ;;
-esac
-
-#
-# That's All Folks!
-#
diff --git a/net/phpldapadmin/pkg-install-suphp b/net/phpldapadmin/pkg-install-suphp
deleted file mode 100644
index 6348afacd7a6..000000000000
--- a/net/phpldapadmin/pkg-install-suphp
+++ /dev/null
@@ -1,98 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-
-PATH=/usr/sbin:/usr/bin:/bin ; export PATH
-
-pladir=%%PREFIX%%/%%PLADIR%%
-plausr=%%PLAUSR%%
-plagrp=%%PLAGRP%%
-
-plagcos="phpLDAPadmin Owner"
-plahome=/nonexistent
-plashell=/sbin/nologin
-
-create_group() {
- local user group gcos home shell
-
- user=$1
- group=$2
- gcos=$3
- home=$4
- shell=$5
-
- if pw groupadd -n $group ; then
- echo "===> Group $group created"
- else
- cat <<-EOERRORMSG
- *** Failed to create the $group group.
-
- Please add the $user user and $group group
- manually with the commands:
-
- pw groupadd -n $group
- pw useradd -n $user -g $group -c "$gcos" \\
- -d $home -s $shell -h -
-
- and retry installing this package.
- EOERRORMSG
- exit 1
- fi
-}
-
-
-create_user() {
- local user group gcos home shell
-
- user=$1
- group=$2
- gcos=$3
- home=$4
- shell=$5
-
- if pw useradd -n $user -g $group -c "$gcos" -d $home -s $shell -h - ; then
- echo "===> Created $user user"
- else
- cat <<-EOERRORMSG
- *** Failed to create the $user user.
-
- Please add the $user user manually with the command:
-
- pw useradd -n $user -g $group -c "$gcos" \\
- -d $home -s $shell -h -
-
- and retry installing this package.
- EOERRORMSG
- exit 1
- fi
-}
-
-
-case $2 in
- PRE-INSTALL)
-
- # Create the pla user and group if they do not already exist
-
- if pw user show -n $plausr >/dev/null 2>&1 ; then
- echo "===> Using pre-existing user $plausr"
- else
- if ! pw group show -n $plagrp >/dev/null 2>&1 ; then
- create_group $plausr $plagrp "$plagcos" $plahome \
- $plashell
- fi
- create_user $plausr $plagrp "$plagcos" $plahome $plashell
- fi
- ;;
- POST-INSTALL)
-
- # Change ownership of the phpLDAPadmin directory
-
- echo "===> Adjusting file ownership in $pladir"
- chown -R $plausr:$plagrp $pladir || exit 1
- ;;
-esac
-
-#
-# That's All Folks!
-#
diff --git a/net/phpldapadmin/pkg-message b/net/phpldapadmin/pkg-message
deleted file mode 100644
index 8aa6d3b5145b..000000000000
--- a/net/phpldapadmin/pkg-message
+++ /dev/null
@@ -1,12 +0,0 @@
-
-%%PKGNAME%% has been installed into:
-
- %%PREFIX%%/%%PLADIR%%
-
-Please edit config.php to suit your needs.
-
-To make phpLDAPadmin available through your web site,
-I suggest that you add the following to httpd.conf:
-
- Alias /phpldapadmin/ "%%PREFIX%%/%%PLADIR%%/"
-